## mmtk 2.7.8

=== debian/changelog ===
mmtk (2.7.8-2) unstable; urgency=low

  * Uploaded into unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 11 May 2013 08:46:39 +0200

mmtk (2.7.8-1) experimental; urgency=low

  * Initial release (Closes: #642586, #657832)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Jan 2013 16:28:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

export MMTK_USE_CYTHON=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_auto_clean:
	# remove the cpython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard Src/*.pyx))
	# remove the doc
	rm -rf build

override_dh_auto_test:
	dh_auto_test
	python setup.py test

override_dh_auto_install:
	dh_auto_install
	dh_numpy

%:
	dh $@ --with python2,sphinxdoc

.PHONY: get-orig-source

## mmtk 2.7.9

=== Doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = $(HOME)/pydev/bin/sphinx-build
PAPER         = a4
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MMTKUserGuide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MMTKUserGuide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MMTKUserGuide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MMTKUserGuide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mmtk (2.7.9-1) unstable; urgency=low

  * Imported Upstream version 2.7.9

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Jun 2013 12:42:04 +0200

=== debian/control ===
Source: mmtk
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               cython,
               libnetcdf-dev,
               python-all-dev,
               python-numpy,
               python-netcdf,
               python-scientific,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mmtk.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mmtk.git
Homepage: http://dirac.cnrs-orleans.fr/MMTK/
X-Python-Version: >= 2.6

Package: python-mmtk
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         python-tk,
         python-netcdf,
         python-scientific
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Description: molecular modeling toolkit
 The Molecular Modeling Toolkit (MMTK) is a library for molecular
 simulation applications. It provides the most common methods in
 molecular simulations (molecular dynamics, energy minimization,
 normal mode analysis) and several force fields used for biomolecules
 (Amber 94, Amber 99, several elastic network models). MMTK also
 serves as a code basis that can be easily extended and modified to
 deal with non-standard situations in molecular simulations.

=== debian/rules ===
#!/usr/bin/make -f

export MMTK_USE_CYTHON=1
export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
PYVERS=$(shell pyversions -vs)

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_auto_clean:
	# remove the cpython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard Src/*.pyx))
	# remove .pyc files
	rm -f $(wildcard Tests/*.pyc)
	# remove the doc
	rm -rf build

override_dh_auto_test:
	dh_auto_test
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PYVERS); do \
		python$$py setup.py test;\
	done
endif

override_dh_auto_install:
	dh_auto_install
	dh_numpy

%:
	dh $@ --with python2,sphinxdoc

.PHONY: get-orig-source

=== debian/watch ===
version=3
http://sourcesup.cru.fr/frs/?group_id=186 \
	.*MMTK-([\d\.]*)\.tar\.gz
